// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: tms/model/transport-unit-truck.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type TransportUnitTruck struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64           `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Company     *common.Company `protobuf:"bytes,2,opt,name=company,proto3" json:"company,omitempty"`
	PlateNumber string          `protobuf:"bytes,3,opt,name=plateNumber,proto3" json:"plateNumber,omitempty"`
	Description string          `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *TransportUnitTruck) Reset() {
	*x = TransportUnitTruck{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_model_transport_unit_truck_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransportUnitTruck) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransportUnitTruck) ProtoMessage() {}

func (x *TransportUnitTruck) ProtoReflect() protoreflect.Message {
	mi := &file_tms_model_transport_unit_truck_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransportUnitTruck.ProtoReflect.Descriptor instead.
func (*TransportUnitTruck) Descriptor() ([]byte, []int) {
	return file_tms_model_transport_unit_truck_proto_rawDescGZIP(), []int{0}
}

func (x *TransportUnitTruck) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *TransportUnitTruck) GetCompany() *common.Company {
	if x != nil {
		return x.Company
	}
	return nil
}

func (x *TransportUnitTruck) GetPlateNumber() string {
	if x != nil {
		return x.PlateNumber
	}
	return ""
}

func (x *TransportUnitTruck) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

var File_tms_model_transport_unit_truck_proto protoreflect.FileDescriptor

var file_tms_model_transport_unit_truck_proto_rawDesc = []byte{
	0x0a, 0x24, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69, 0x74, 0x2d, 0x74, 0x72, 0x75, 0x63, 0x6b,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x74, 0x6d, 0x73, 0x1a, 0x14, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x93, 0x01, 0x0a, 0x12, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55,
	0x6e, 0x69, 0x74, 0x54, 0x72, 0x75, 0x63, 0x6b, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x29, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x07, 0x63, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x12, 0x20, 0x0a, 0x0b, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4e, 0x75, 0x6d, 0x62,
	0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x87, 0x01, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e,
	0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63, 0x2e,
	0x74, 0x6d, 0x73, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x12, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x54, 0x72, 0x75, 0x63, 0x6b, 0x50, 0x01, 0x5a,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70,
	0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f,
	0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2,
	0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x13, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65,
	0x74, 0x2e, 0x54, 0x4d, 0x53, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x03, 0x54, 0x4d,
	0x53, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_tms_model_transport_unit_truck_proto_rawDescOnce sync.Once
	file_tms_model_transport_unit_truck_proto_rawDescData = file_tms_model_transport_unit_truck_proto_rawDesc
)

func file_tms_model_transport_unit_truck_proto_rawDescGZIP() []byte {
	file_tms_model_transport_unit_truck_proto_rawDescOnce.Do(func() {
		file_tms_model_transport_unit_truck_proto_rawDescData = protoimpl.X.CompressGZIP(file_tms_model_transport_unit_truck_proto_rawDescData)
	})
	return file_tms_model_transport_unit_truck_proto_rawDescData
}

var file_tms_model_transport_unit_truck_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_tms_model_transport_unit_truck_proto_goTypes = []interface{}{
	(*TransportUnitTruck)(nil), // 0: tms.TransportUnitTruck
	(*common.Company)(nil),     // 1: common.Company
}
var file_tms_model_transport_unit_truck_proto_depIdxs = []int32{
	1, // 0: tms.TransportUnitTruck.company:type_name -> common.Company
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_tms_model_transport_unit_truck_proto_init() }
func file_tms_model_transport_unit_truck_proto_init() {
	if File_tms_model_transport_unit_truck_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_tms_model_transport_unit_truck_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransportUnitTruck); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_tms_model_transport_unit_truck_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_tms_model_transport_unit_truck_proto_goTypes,
		DependencyIndexes: file_tms_model_transport_unit_truck_proto_depIdxs,
		MessageInfos:      file_tms_model_transport_unit_truck_proto_msgTypes,
	}.Build()
	File_tms_model_transport_unit_truck_proto = out.File
	file_tms_model_transport_unit_truck_proto_rawDesc = nil
	file_tms_model_transport_unit_truck_proto_goTypes = nil
	file_tms_model_transport_unit_truck_proto_depIdxs = nil
}
